#include <bits/stdc++.h>
using namespace std;
#define endl '\n'
long long a[500002], b[500002];
int main()
{
    ios_base::sync_with_stdio(false); cin.tie(0); cout.tie(0);
    long long t, n, k, i;
    cin >> t >> n >> k;
    for (i = 1; i <= n; i++) cin >> a[i];
    if ((n%2 == 0 && k%2 == 1) || (n%2 == 1 && k%2 == 0))
    {
        cout << "NE";
        return 0;
    }
    sort(a,a+n);
    long long l = n-k+1, d = n, vr = 0;
    for (i = l; i <= d; i++)
    {
        if (a[i] < vr)
        {
            cout << "NE";
            return 0;
        }
        vr++;
    }
    l = (n-k)/2+1;
    d = n-k;
    long long br = d-l+1;
    for (i = l; i <= d; i++) b[i-l+1] = a[i];
    long long pret = b[1];
    for (i = 2; i <= br; i++)
    {
        if (pret <= -2) pret++;
    }
    if (pret <= -2)
    {
        cout << "NE" << endl;
        return 0;
    }
    pret = a[1]+1;
    for (i = 2; i <= br; i++)
    {
        pret = min(pret+1,a[i]+1);
    }
    if (pret >= k+2)
    {
        cout << "NE" << endl;
        return 0;
    }
    cout << "DA" << endl;
    return 0;
}